
QGIS Application - Bug report #16508

Opening Large Shape or oracle table (table) takes more time then before

2017-05-03 01:24 PM - A. Egberts

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:2.18.7 Regression?: Yes

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 24414

Description

When I am opening a lagre (500mb) shape, or Oracle connection, it take a lot of time before I can see the counter, getting the rows of the

table.

in the older version you get this rigt away, end you could cancel it rigth away.

now it looks like it loads the whole table?

Related issues:

Related to QGIS Application - Bug report # 16239: master: (much) slower rende... Closed 2017-02-27

History

#1 - 2017-05-03 02:02 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Regression? changed from No to Yes

- Priority changed from Low to High

- Assignee deleted (A. Egberts)

When you day "older version", do you mean 2.14 or a previous 2.18.* release?

can you share your dataset? if not can you see the same with a large dataset from OSM like 

http://download.geofabrik.de/europe/netherlands-latest-free.shp.zip ?

#2 - 2017-05-03 02:50 PM - Giovanni Manghi

this report seems in line with #16239

#3 - 2017-05-19 09:02 AM - Jürgen Fischer

- Related to Bug report #16239: master: (much) slower rendering (and attribute table opening) time compared to 2.18.4 added

#4 - 2017-05-25 12:35 AM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Feedback to Closed

Duplicate of #16239
